require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.组队剧情任务")
require("Script.函数.全局")
require("Script.函数.静态成员")
require("Script.函数.剧情任务提交")
require("Script.函数.异界")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.组队剧情任务")
重新加载("Script.函数.全局")
重新加载("Script.函数.剧情任务提交")
重新加载("Script.函数.异界")





--Q絲克瑪試煉_大厅()

L加载配置_剧情()
local 当前是否升级=0
local 返回一次藏身处=1
while	To(200)==1		do 
	local 地图Ptr=L地图信息()
	local 自身=L自身信息()
	local quset


	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end

	-- if L创建角色后小退一次()==0		then 
	-- 	L返回登录界面()
	-- 	L延时(6000)
	-- 	L信息("第一次创建非赛季角色，选择小退一次")
	-- 	goto Next
	-- end 

	Fn_根据常规设置切换配置(自身)
	
	if G当前等级==0		then 
		G当前等级=自身.等级
	end 

	if 当前是否升级~=自身.等级	and  自身.等级>0		then 
		当前是否升级=自身.等级
		G升级后读取一次仓库=0
	end 
    Fn_检查大号是否已经完成帮助()
	-- if  Fn_是否需要召唤大号(地图Ptr)==1		then 
	-- 	L信息("召唤大号中....")
	-- 	L设置探索地图(探索类型.暂停)
	-- 	goto Next
	-- end 

	if  Fn_前往捕捉灵体(地图Ptr)==1		then 
		goto Next
	end 

	if g常规设置.剧情战斗方式==G远程			then --
		L设置战斗方式(1)
		BOSS躲避距离=3
	else 
		L设置战斗方式()
		BOSS躲避距离=3
	end 
	if 地图Ptr.位置>0	 then
		L当前地图计时(3)
		L设置是否关闭精魂技能(0)
		Fn_节点回城(1)
		Fn_城镇卡位处理(地图Ptr)

		if 自身.等级~=G当前等级	 	then 
			G升级后商店查找装备=0
		end 
		if g常规设置.等级超过关闭商店换装>自身.等级		then 
			G当前等级=自身.等级
		
		else 
			G当前等级=0
			G升级后商店查找装备=10
		end

		if 自身.等级>=2 and L是否需要加入公会()==1	and Fn_当前是否存在公会仓库()==0		then --
			L信息("你再组队设置里设置了进入公会的名称.目前还未成功进入公会，选择等待")
			L打开好友列表()
			goto Next
		end 

		if G升级后读取一次仓库==0      then

			if Fn_读取仓库信息()==0 then
				-- body
				L信息("当前正在读取仓库信息")
				goto Next
			end
	
			if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
				-- body
				L信息("当前正在读取公会仓库信息")
				goto Next
			end
			L信息("倉庫數據讀取完成")
			if 自身.等级>20		then 
				G升级后读取一次仓库=1
			end
		 end


		if L执行间隔("60秒执行一次结束对话",60*1000)==1	then 
			if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
				L结束对话()
		
			end
			LEsc()
		end 
		
		--L设置爆炸物("VisibleServerGroun",2)--Metadata/Effects/PermanentServerEffect  --ServerEffect
		L设置爆炸物("")
		L清空躲避BOSS信息()
		L暂停剧情探索(1)
		L清空记录数组()

		if g常规设置.自动换装==1		then 
			L自动换装(3)
		end
		if g重置情况==0	then 
			D城镇重置状态()
			g重置情况=1
		end 
		local _城镇事件不处理=0
		if Fn_判断当前崎點是否可出去()==1		then 
			L信息("当前无法从内部起点出去...")
			_城镇事件不处理=1
		end 
		if _城镇事件不处理==0		then 


			if Fn_地图鉴定(地图Ptr)==1		then 
				L信息("鉴定物品...")
				goto Next
			end 

			if Fn_返回城镇补充药剂(地图Ptr)==1			then --
				goto Next
			end 


			if Fn_包满回城()==1		then 
				L信息("剧情城镇物品处理")
				g背包清理状态=0
			end 
			if	Fn_剧情城镇物品处理()==1			then --
				L信息("剧情城镇物品处理")
				goto Next
			end
		
			--if 地图Ptr.章节<4 and Q_领取城镇任务()==1		then 
			if  Q_领取城镇任务()==1		then 
				L信息("对话任务")
				goto Next
			end 
			if G当前等级>0	and  Fn_商店购买更好装备()==1			then --
				L信息("商店换装...")
				goto Next
			end 

			if Fn_购买知识卷轴()==1			then --
				L信息("前往购买知识卷轴")
				goto Next
			end 


	

			if Fn_商店赌博更好装备()==1			then --
				L信息("商店赌博换装...")
				goto Next
			end 

			if Fn_提升装备()==1			then --
				goto Next
			end 

			

			-- if L我是队长()==0			then --
			-- 	if Fn_剧情自动提升药剂()==1		then --
			-- 		L信息("正在前往商店购买生命药剂提升自身的药水品质")
			-- 		goto Next
			-- 	end 
			-- end 
		
			-- if 地图Ptr.章节<4 and Q_领取已完成任务奖励(地图Ptr.难度)==1			then --
			-- 	L信息("领取奖励")
			-- 	goto Next
			-- end	

			 if  Q_领取已完成任务奖励(地图Ptr.难度)==1			then --
				L信息("领取奖励")
				goto Next
			 end	
		else 

			L信息("准备出城...")
		end

	elseif 地图Ptr.位置==3	 then
		if Fn_高塔开异界地图()==1 then
			L信息("高塔开异界地图....")
			goto Next
		end
	else 

		-- if L执行间隔("学习技能执行间隔",30*1000)==1			then --
		-- 	L自动镶嵌宝石()
		-- end 
		if Fn_节点回城()==1			then --
			L信息("满足回城节点....执行回城")
			L返回城镇()
			goto Next
		end 
		if L执行间隔("打开世界地图",300*1000)==1	then 
			L打开地图()
		end

		if g常规设置.等级超过关闭商店换装>自身.等级		then 
			G当前等级=自身.等级
			G升级后商店查找装备=0
		else 
			G当前等级=0
			G升级后商店查找装备=10
		end
		if 自身.金币<20000		then 
			G升级后商店查找装备=0
		end
		if 		g剧情完成==1			then --剧情完成后执行的切换
			L信息("剧情已经完成")
			D重置状态()
			L搜索路口()
			if	Fn_包满回城()==1			then --
				L信息("当前执行 => 背包满了选择回城")
				goto Next
			end 
			L异界是否完成()
			L祭坛商店购物()
			if FB_自动切换事件(地图Ptr.地图类名)==1			then -- --判断机关地图		
				goto Next
			end 
	
	
			if	g常规设置.不点丰碑<=0	and	Fn_点击不同对象事件(地图Ptr)==1			then --
				--L设置探索地图(-1)
				goto Next
			end
	
			if	L地图是否完成()~=0	 		then -- 
				L信息("当前执行: => 地图探索完成...")
				if L祭坛商店购物(1)==1 then
					-- body
					L信息("正在处理祭坛购物....")
				elseif	L结束迷雾()==1	then 
					L信息("正在结束迷雾事件....")
				else 
				
					L返回城镇()
				end
			
				goto Next
			end
		else 
		
			g井水点击次数=0
			g重置情况=0
			if	 Fn_包满回城()==1	or  (G当前等级>0 and g常规设置.自动换装==1 and 自身.等级~=G当前等级	and  自身.金币>1000  and  地图Ptr.地图名称~="瓦斯提里郊區"	and 地图Ptr.地图名称~="風沙沼澤"	and 地图Ptr.地图名称~=G河岸)		then --

	
				D重置状态()
				L设置探索地图(探索类型.暂停)
				L躲避开关(0)
				if g补等级中无需复活点回城==1 or Q_前往复活点回城()==1		then 
					L返回城镇()
				end
				if 自身.等级~=G当前等级	and 	G当前等级>0	then --
					L信息("当前升级了...返回城镇看下商店装备")
				else 
					L信息("需要处理背包...")
				end 
			
				goto Next
			end
	
			-- if Fn_返回城镇补充药剂(地图Ptr)==1			then --
			-- 	L信息("前往补充泉水...")
			-- 	goto Next
			-- end 
			
			if	L地图是否完成()~=0	then -- 
				if 	地图Ptr.地图名称~="瓦斯提里郊區"	and 地图Ptr.地图名称~="風沙沼澤"		then 
					L信息("当前执行: => 地图探索完成...")
					执行提交任务()
					D重置状态()
					L设置探索地图(探索类型.暂停)
					L躲避开关(0)
					if g补等级中无需复活点回城==1 or Q_前往复活点回城()==1		then 
						L返回城镇()
					end
					goto Next
				end
			end
		end
	
	end

	if  g剧情完成==0		then 
		-- if 	Q追猎玩法()==1			then --
		-- 	L信息("当前处于追猎玩法中....")
		-- 	goto Next
		-- end 
		if 地图Ptr.地图名称=="藏身處：海岸線"		then
			Quset_惡意收購()
			L地图是否完成(0)
			goto Next
		end
		if Fn_开始剧情()==1			then --
			goto Next
		end 
	else 

		if L精英数量()==0		then 
			Fn_前往模块坐标_异界专用(地图Ptr.地图名称,15,1)
		end
		--
		L设置探索地图(2)
	end
::Next::
	
end

